Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.util
Class PropertyList

    java.lang.Object
      edu.stanford.smi.protege.util.PropertyList

All Implemented Interfaces:
  Cloneable

    public class PropertyList

extends Object
implements Cloneable

A property list used by widgets. This is a wrapper around a Project knowledge base instance. I probably should have just used a java.util.Properties class but I wanted to provide methods for working with types of objects (e.g. Rectangles) other than strings. Also the Properties class inheritance is messed up and provides a bunch of dangerous methods.

Author:
  Ray Fergerson

Field Summary
`static String` | `CLASS_BOOLEAN`
`static String` | `CLASS_INTEGER`
`static String` | `CLASS_PROPERTY_LIST`
`static String` | `CLASS_RECTANGLE`
`static String` | `CLASS_STRING`
`static String` | `CLASS_WIDGET_DESCRIPTOR`
`static String` | `SLOT_BOOLEAN_VALUE`
`static String` | `SLOT_INTEGER_VALUE`
`static String` | `SLOT_NAME`
`static String` | `SLOT_PROPERTIES`
`static String` | `SLOT_STRING_VALUE`

Constructor Summary
`PropertyList(Instance instance)`

Method Summary
`void` | `clear()`
`Object` | `clone()`
`static PropertyList` | `create(KnowledgeBase kb)`
`WidgetDescriptor` | `createWidgetDescriptor(String name)`
`Boolean` | `getBoolean(String name)`
`Dimension` | `getDimension(String name)`
`Integer` | `getInteger(String name)`
`KnowledgeBase` | `getKnowledgeBase()`
`Collection` | `getLiveWidgetDescriptors()`
`Collection` | `getNames()`
`PropertyList` | `getPropertyList(String name)`
`Rectangle` | `getRectangle(String name)`
`String` | `getString(String name)`
`WidgetDescriptor` | `getWidgetDescriptor(String name)`
`Instance` | `getWrappedInstance()`
`void` | `remove(String name)`
`void` | `setBoolean(String name, boolean b)`
`void` | `setBoolean(String name, Boolean b)`
`void` | `setInteger(String name, int i)`
`void` | `setInteger(String name, Integer i)`
`void` | `setRectangle(String name, Rectangle r)`
`void` | `setString(String name, String value)`
`void` | `setWidgetDescriptor(WidgetDescriptor d)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CLASS_PROPERTY_LIST

    public static final String CLASS_PROPERTY_LIST

See Also:
  Constant Field Values

### CLASS_WIDGET_DESCRIPTOR

    public static final String CLASS_WIDGET_DESCRIPTOR

See Also:
  Constant Field Values

### CLASS_STRING

    public static final String CLASS_STRING

See Also:
  Constant Field Values

### CLASS_INTEGER

    public static final String CLASS_INTEGER

See Also:
  Constant Field Values

### CLASS_BOOLEAN

    public static final String CLASS_BOOLEAN

See Also:
  Constant Field Values

### CLASS_RECTANGLE

    public static final String CLASS_RECTANGLE

See Also:
  Constant Field Values

### SLOT_NAME

    public static final String SLOT_NAME

See Also:
  Constant Field Values

### SLOT_BOOLEAN_VALUE

    public static final String SLOT_BOOLEAN_VALUE

See Also:
  Constant Field Values

### SLOT_INTEGER_VALUE

    public static final String SLOT_INTEGER_VALUE

See Also:
  Constant Field Values

### SLOT_STRING_VALUE

    public static final String SLOT_STRING_VALUE

See Also:
  Constant Field Values

### SLOT_PROPERTIES

    public static final String SLOT_PROPERTIES

See Also:
  Constant Field Values

Constructor Detail

### PropertyList

    public PropertyList(Instance instance)

Method Detail

### clear

    public void clear()

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`

### create

    public static PropertyList create(KnowledgeBase kb)

### createWidgetDescriptor

    public WidgetDescriptor createWidgetDescriptor(String name)

### getBoolean

    public Boolean getBoolean(String name)

### getDimension

    public Dimension getDimension(String name)

### getInteger

    public Integer getInteger(String name)

### getKnowledgeBase

    public KnowledgeBase getKnowledgeBase()

### getNames

    public Collection getNames()

### getLiveWidgetDescriptors

    public Collection getLiveWidgetDescriptors()

### getPropertyList

    public PropertyList getPropertyList(String name)

### getRectangle

    public Rectangle getRectangle(String name)

### getString

    public String getString(String name)

### getWidgetDescriptor

    public WidgetDescriptor getWidgetDescriptor(String name)

### getWrappedInstance

    public Instance getWrappedInstance()

### remove

    public void remove(String name)

### setBoolean

    public void setBoolean(String name,
                           Boolean b)

### setBoolean

    public void setBoolean(String name,
                           boolean b)

### setInteger

    public void setInteger(String name,
                           int i)

### setInteger

    public void setInteger(String name,
                           Integer i)

### setRectangle

    public void setRectangle(String name,
                             Rectangle r)

### setString

    public void setString(String name,
                          String value)

### setWidgetDescriptor

    public void setWidgetDescriptor(WidgetDescriptor d)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.